diff -r f6ef988fda71 trytond/tests/test_fields.py
--- a/trytond/tests/test_fields.py	Fri Sep 21 16:04:02 2012 +0200
+++ b/trytond/tests/test_fields.py	Sun Sep 23 17:30:03 2012 +0200
@@ -3036,272 +2869,264 @@
                 context=CONTEXT) as transaction:
 
             # Test Char
-            prop_id_a = self.property_.create({'char': 'Test'})
-            self.assert_(prop_id_a)
-
-            prop_id_b = self.property_.create({})
-            self.assert_(prop_id_b)
-
-            prop_id_c = self.property_.create({'char': 'FooBar'})
-            self.assert_(prop_id_c)
-
-            prop_a = self.property_.read(prop_id_a, ['char'])
-            self.assert_(prop_a['char'] == 'Test')
-
-            prop_ids = self.property_.search([('char', '=', 'Test')])
-            self.assert_(prop_ids == [prop_id_a])
-
-            prop_ids = self.property_.search([('char', '=', False)])
-            self.assert_(prop_ids == [prop_id_b])
-
-            prop_ids = self.property_.search([('char', '!=', False)])
-            self.assert_(prop_ids == [prop_id_a, prop_id_c])
-
-            prop_ids = self.property_.search([('char', 'like', 'Tes%')])
-            self.assert_(prop_ids == [prop_id_a])
-
-            prop_ids = self.property_.search([('char', 'like', '%Bar')])
-            self.assert_(prop_ids == [prop_id_c])
-
-            prop_ids = self.property_.search([('char', 'not like', 'Tes%')])
-            self.assert_(prop_ids == [prop_id_b, prop_id_c])
-
-            prop_ids = self.property_.search([('char', 'ilike', 'tes%')])
-            self.assert_(prop_ids == [prop_id_a])
-
-            prop_ids = self.property_.search([('char', 'ilike', '%bar')])
-            self.assert_(prop_ids == [prop_id_c])
-
-            prop_ids = self.property_.search([('char', 'not ilike', 'tes%')])
-            self.assert_(prop_ids == [prop_id_b, prop_id_c])
-
-            prop_ids = self.property_.search([('char', 'in', ['Test'])])
-            self.assert_(prop_ids == [prop_id_a])
-
-            prop_ids = self.property_.search([
+            prop_a = self.property_.create({'char': 'Test'})
+            self.assert_(prop_a)
+            self.assertEqual(prop_a.char, 'Test')
+
+            prop_b = self.property_.create({})
+            self.assert_(prop_b)
+            self.assertEqual(prop_b.char, None)
+
+            prop_c = self.property_.create({'char': 'FooBar'})
+            self.assert_(prop_c)
+            self.assertEqual(prop_c.char, 'FooBar')
+
+            props = self.property_.search([('char', '=', 'Test')])
+            self.assertEqual(props, [prop_a])
+
+            props = self.property_.search([('char', '=', None)])
+            self.assertEqual(props, [prop_b])
+
+            props = self.property_.search([('char', '!=', None)])
+            self.assertEqual(props, [prop_a, prop_c])
+
+            props = self.property_.search([('char', 'like', 'Tes%')])
+            self.assertEqual(props, [prop_a])
+
+            props = self.property_.search([('char', 'like', '%Bar')])
+            self.assertEqual(props, [prop_c])
+
+            props = self.property_.search([('char', 'not like', 'Tes%')])
+            self.assertEqual(props, [prop_b, prop_c])
+
+            props = self.property_.search([('char', 'ilike', 'tes%')])
+            self.assert_(props, [prop_a])
+
+            props = self.property_.search([('char', 'ilike', '%bar')])
+            self.assertEqual(props, [prop_c])
+
+            props = self.property_.search([('char', 'not ilike', 'tes%')])
+            self.assertEqual(props, [prop_b, prop_c])
+
+            props = self.property_.search([('char', 'in', ['Test'])])
+            self.assertEqual(props, [prop_a])
+
+            props = self.property_.search([
                     ('char', 'in', ['Test', 'FooBar'])])
-            self.assert_(prop_ids == [prop_id_a, prop_id_c])
-
-            prop_ids = self.property_.search([
+            self.assertEqual(props, [prop_a, prop_c])
+
+            props = self.property_.search([
                     ('char', 'not in', ['Test', 'FooBar'])])
-            self.assert_(prop_ids == [prop_id_b])
-
-            model_field_obj = POOL.get('ir.model.field')
-            property_obj = POOL.get('ir.property')
+            self.assertEqual(props, [prop_b])
 
             # Test default value
-            property_field_id, = model_field_obj.search([
-                        ('model.model', '=', 'test.property'),
-                        ('name', '=', 'char'),
+            property_field, = self.model_field.search([
+                    ('model.model', '=', 'test.property'),
+                    ('name', '=', 'char'),
                     ], limit=1)
-            property_obj.create({
-                        'field': property_field_id,
-                        'value': ',DEFAULT_VALUE',
+            self.ir_property.create({
+                    'field': property_field.id,
+                    'value': ',DEFAULT_VALUE',
                     })
 
-            prop_id_d = self.property_.create({})
-            self.assert_(prop_id_d)
-
-            prop = self.property_.read(prop_id_d, ['char'])
-            self.assert_(prop['char'] == 'DEFAULT_VALUE')
-
-            prop_ids = self.property_.search([('char', '!=', False)])
-            self.assert_(prop_ids == [prop_id_a, prop_id_c, prop_id_d])
-
-            self.property_.write(prop_id_a, {'char': None})
-            prop_a = self.property_.read(prop_id_a, ['char'])
-            self.assert_(prop_a['char'] == None)
-
-            self.property_.write(prop_id_b, {'char': 'Test'})
-            prop_b = self.property_.read(prop_id_b, ['char'])
-            self.assert_(prop_b['char'] == 'Test')
+            prop_d = self.property_.create({})
+            self.assert_(prop_d)
+            self.assertEqual(prop_d.char, 'DEFAULT_VALUE')
+
+            props = self.property_.search([('char', '!=', None)])
+            self.assertEqual(props, [prop_a, prop_c, prop_d])
+
+            self.property_.write([prop_a], {'char': None})
+            self.assertEqual(prop_a.char, None)
+
+            self.property_.write([prop_b], {'char': 'Test'})
+            self.assertEqual(prop_b.char, 'Test')
 
             transaction.cursor.rollback()
 
             # Test Many2One
-            char_id_a = self.char.create({'char': 'Test'})
-            self.assert_(char_id_a)
-
-            char_id_b = self.char.create({'char': 'FooBar'})
-            self.assert_(char_id_b)
-
-            prop_id_a = self.property_.create({'many2one': char_id_a})
-            self.assert_(prop_id_a)
-
-            prop_id_b = self.property_.create({'many2one': char_id_b})
-            self.assert_(prop_id_b)
-
-            prop_id_c = self.property_.create({})
-            self.assert_(prop_id_c)
-
-            prop_ids = self.property_.search([('many2one', '=', char_id_a)])
-            self.assert_(prop_ids == [prop_id_a])
-
-            prop_ids = self.property_.search([('many2one', '!=', False)])
-            self.assert_(prop_ids == [prop_id_a, prop_id_b])
-
-            prop_ids = self.property_.search([('many2one', '=', False)])
-            self.assert_(prop_ids == [prop_id_c])
-
-            prop_a = self.property_.read(prop_id_a, ['many2one'])
-            self.assert_(prop_a['many2one'] == char_id_a)
-
-            prop_ids = self.property_.search([
-                    ('many2one', 'in', [char_id_a, char_id_b])])
-            self.assert_(prop_ids == [prop_id_a, prop_id_b])
-
-            prop_ids = self.property_.search([
-                    ('many2one', 'not in', [char_id_a, char_id_b])])
-            self.assert_(prop_ids == [prop_id_c])
-
-            self.property_.write(prop_id_b, {'many2one': char_id_a})
-            prop_b = self.property_.read(prop_id_b, ['many2one'])
-            self.assert_(prop_b['many2one'] == char_id_a)
+            char_a = self.char.create({'char': 'Test'})
+            self.assert_(char_a)
+
+            char_b = self.char.create({'char': 'FooBar'})
+            self.assert_(char_b)
+
+            prop_a = self.property_.create({'many2one': char_a.id})
+            self.assert_(prop_a)
+            self.assertEqual(prop_a.many2one, char_a)
+
+            prop_b = self.property_.create({'many2one': char_b.id})
+            self.assert_(prop_b)
+            self.assertEqual(prop_b.many2one, char_b)
+
+            prop_c = self.property_.create({})
+            self.assert_(prop_c)
+            self.assertEqual(prop_c.many2one, None)
+
+            props = self.property_.search([('many2one', '=', char_a.id)])
+            self.assertEqual(props, [prop_a])
+
+            props = self.property_.search([('many2one', '!=', None)])
+            self.assertEqual(props, [prop_a, prop_b])
+
+            props = self.property_.search([('many2one', '=', None)])
+            self.assertEqual(props, [prop_c])
+
+            self.assertEqual(prop_a.many2one, char_a)
+
+            props = self.property_.search([
+                    ('many2one', 'in', [char_a.id, char_b.id])])
+            self.assertEqual(props, [prop_a, prop_b])
+
+            props = self.property_.search([
+                    ('many2one', 'not in', [char_a.id, char_b.id])])
+            self.assertEqual(props, [prop_c])
+
+            self.property_.write([prop_b], {'many2one': char_a.id})
+            self.assertEqual(prop_b.many2one, char_a)
 
             transaction.cursor.rollback()
 
             # Test Numeric
-            prop_id_a = self.property_.create({'numeric': Decimal('1.1')})
-            self.assert_(prop_id_a)
-
-            prop_id_b = self.property_.create({'numeric': Decimal('2.6')})
-            self.assert_(prop_id_b)
-
-            prop_id_c = self.property_.create({})
-            self.assert_(prop_id_c)
-
-            prop_ids = self.property_.search([('numeric', '!=', False)])
-            self.assert_(prop_ids == [prop_id_a, prop_id_b])
-
-            prop_ids = self.property_.search([('numeric', '=', False)])
-            self.assert_(prop_ids == [prop_id_c])
-
-            prop_ids = self.property_.search([
+            prop_a = self.property_.create({'numeric': Decimal('1.1')})
+            self.assert_(prop_a)
+            self.assertEqual(prop_a.numeric, Decimal('1.1'))
+
+            prop_b = self.property_.create({'numeric': Decimal('2.6')})
+            self.assert_(prop_b)
+            self.assertEqual(prop_b.numeric, Decimal('2.6'))
+
+            prop_c = self.property_.create({})
+            self.assert_(prop_c)
+            self.assertEqual(prop_c.numeric, None)
+
+            props = self.property_.search([('numeric', '!=', None)])
+            self.assertEqual(props, [prop_a, prop_b])
+
+            props = self.property_.search([('numeric', '=', None)])
+            self.assertEqual(props, [prop_c])
+
+            props = self.property_.search([
                     ('numeric', '=', Decimal('1.1')),
                     ])
-            self.assert_(prop_ids == [prop_id_a])
-
-            prop_ids = self.property_.search([
+            self.assertEqual(props, [prop_a])
+
+            props = self.property_.search([
                     ('numeric', '!=', Decimal('1.1'))])
-            self.assert_(prop_ids == [prop_id_b, prop_id_c])
-
-            prop_ids = self.property_.search([
+            self.assertEqual(props, [prop_b, prop_c])
+
+            props = self.property_.search([
                     ('numeric', '<', Decimal('2.6')),
                     ])
-            self.assert_(prop_ids == [prop_id_a])
-
-            prop_ids = self.property_.search([
+            self.assertEqual(props, [prop_a])
+
+            props = self.property_.search([
                     ('numeric', '<=', Decimal('2.6'))])
-            self.assert_(prop_ids == [prop_id_a, prop_id_b])
-
-            prop_ids = self.property_.search([
+            self.assertEqual(props, [prop_a, prop_b])
+
+            props = self.property_.search([
                     ('numeric', '>', Decimal('1.1')),
                     ])
-            self.assert_(prop_ids == [prop_id_b])
-
-            prop_ids = self.property_.search([
+            self.assertEqual(props, [prop_b])
+
+            props = self.property_.search([
                     ('numeric', '>=', Decimal('1.1'))])
-            self.assert_(prop_ids == [prop_id_a, prop_id_b])
-
-            prop_ids = self.property_.search([
+            self.assertEqual(props, [prop_a, prop_b])
+
+            props = self.property_.search([
                     ('numeric', 'in', [Decimal('1.1')])])
-            self.assert_(prop_ids == [prop_id_a])
-
-            prop_ids = self.property_.search([
+            self.assertEqual(props, [prop_a])
+
+            props = self.property_.search([
                     ('numeric', 'in', [Decimal('1.1'), Decimal('2.6')])])
-            self.assert_(prop_ids == [prop_id_a, prop_id_b])
-
-            prop_ids = self.property_.search([
+            self.assertEqual(props, [prop_a, prop_b])
+
+            props = self.property_.search([
                     ('numeric', 'not in', [Decimal('1.1')])])
-            self.assert_(prop_ids == [prop_id_b, prop_id_c])
-
-            prop_ids = self.property_.search([
+            self.assertEqual(props, [prop_b, prop_c])
+
+            props = self.property_.search([
                     ('numeric', 'not in', [Decimal('1.1'), Decimal('2.6')])])
-            self.assert_(prop_ids == [prop_id_c])
+            self.assertEqual(props, [prop_c])
 
             # Test default value
-            property_field_id, = model_field_obj.search([
-                        ('model.model', '=', 'test.property'),
-                        ('name', '=', 'numeric'),
+            property_field, = self.model_field.search([
+                    ('model.model', '=', 'test.property'),
+                    ('name', '=', 'numeric'),
                     ], limit=1)
-            property_obj.create({
-                        'field': property_field_id,
-                        'value': ',3.7',
+            self.ir_property.create({
+                    'field': property_field.id,
+                    'value': ',3.7',
                     })
 
-            prop_id_d = self.property_.create({})
-            self.assert_(prop_id_d)
-
-            prop_d = self.property_.read(prop_id_d, ['numeric'])
-            self.assert_(prop_d['numeric'] == Decimal('3.7'))
-
-            self.property_.write(prop_id_a, {'numeric': None})
-            prop_a = self.property_.read(prop_id_a, ['numeric'])
-            self.assert_(prop_a['numeric'] == None)
-
-            self.property_.write(prop_id_b, {'numeric': Decimal('3.11')})
-            prop_b = self.property_.read(prop_id_b, ['numeric'])
-            self.assert_(prop_b['numeric'] == Decimal('3.11'))
+            prop_d = self.property_.create({})
+            self.assert_(prop_d)
+            self.assertEqual(prop_d.numeric, Decimal('3.7'))
+
+            self.property_.write([prop_a], {'numeric': None})
+            self.assertEqual(prop_a.numeric, None)
+
+            self.property_.write([prop_b], {'numeric': Decimal('3.11')})
+            self.assertEqual(prop_b.numeric, Decimal('3.11'))
 
             transaction.cursor.rollback()
 
             # Test Selection
-            prop_id_a = self.property_.create({'selection': 'option_a'})
-            self.assert_(prop_id_a)
-
-            prop_id_b = self.property_.create({'selection': 'option_b'})
-            self.assert_(prop_id_b)
-
-            prop_id_c = self.property_.create({})
-            self.assert_(prop_id_c)
-
-            prop_ids = self.property_.search([('selection', '=', 'option_a')])
-            self.assert_(prop_ids == [prop_id_a])
-
-            prop_ids = self.property_.search([('selection', '!=', False)])
-            self.assert_(prop_ids == [prop_id_a, prop_id_b])
-
-            prop_ids = self.property_.search([('selection', '=', False)])
-            self.assert_(prop_ids == [prop_id_c])
-
-            prop_ids = self.property_.search([('selection', '!=', 'option_a')])
-            self.assert_(prop_ids == [prop_id_b, prop_id_c])
-
-            prop_ids = self.property_.search([
+            prop_a = self.property_.create({'selection': 'option_a'})
+            self.assert_(prop_a)
+            self.assertEqual(prop_a.selection, 'option_a')
+
+            prop_b = self.property_.create({'selection': 'option_b'})
+            self.assert_(prop_b)
+            self.assertEqual(prop_b.selection, 'option_b')
+
+            prop_c = self.property_.create({})
+            self.assert_(prop_c)
+            self.assertEqual(prop_c.selection, None)
+
+            props = self.property_.search([('selection', '=', 'option_a')])
+            self.assertEqual(props, [prop_a])
+
+            props = self.property_.search([('selection', '!=', None)])
+            self.assertEqual(props, [prop_a, prop_b])
+
+            props = self.property_.search([('selection', '=', None)])
+            self.assertEqual(props, [prop_c])
+
+            props = self.property_.search([('selection', '!=', 'option_a')])
+            self.assertEqual(props, [prop_b, prop_c])
+
+            props = self.property_.search([
                     ('selection', 'in', ['option_a'])])
-            self.assert_(prop_ids == [prop_id_a])
-
-            prop_ids = self.property_.search([
+            self.assertEqual(props, [prop_a])
+
+            props = self.property_.search([
                     ('selection', 'in', ['option_a', 'option_b'])])
-            self.assert_(prop_ids == [prop_id_a, prop_id_b])
-
-            prop_ids = self.property_.search([
+            self.assertEqual(props, [prop_a, prop_b])
+
+            props = self.property_.search([
                     ('selection', 'not in', ['option_a'])])
-            self.assert_(prop_ids == [prop_id_b, prop_id_c])
+            self.assertEqual(props, [prop_b, prop_c])
 
             # Test default value
-            property_field_id, = model_field_obj.search([
-                        ('model.model', '=', 'test.property'),
-                        ('name', '=', 'selection'),
+            property_field, = self.model_field.search([
+                    ('model.model', '=', 'test.property'),
+                    ('name', '=', 'selection'),
                     ], limit=1)
-            property_obj.create({
-                        'field': property_field_id,
-                        'value': ',option_a',
+            self.ir_property.create({
+                    'field': property_field.id,
+                    'value': ',option_a',
                     })
 
-            prop_id_d = self.property_.create({})
-            self.assert_(prop_id_d)
-
-            prop_d = self.property_.read(prop_id_d, ['selection'])
-            self.assert_(prop_d['selection'] == 'option_a')
-
-            self.property_.write(prop_id_a, {'selection': None})
-            prop_a = self.property_.read(prop_id_a, ['selection'])
-            self.assert_(prop_a['selection'] == None)
-
-            self.property_.write(prop_id_c, {'selection': 'option_b'})
-            prop_c = self.property_.read(prop_id_c, ['selection'])
-            self.assert_(prop_c['selection'] == 'option_b')
+            prop_d = self.property_.create({})
+            self.assert_(prop_d)
+            self.assertEqual(prop_d.selection, 'option_a')
+
+            self.property_.write([prop_a], {'selection': None})
+            self.assertEqual(prop_a.selection, None)
+
+            self.property_.write([prop_c], {'selection': 'option_b'})
+            self.assertEqual(prop_c.selection, 'option_b')
 
             transaction.cursor.rollback()
 
diff -r f6ef988fda71 trytond/tests/test_mixins.py
--- a/trytond/tests/test_mixins.py	Fri Sep 21 16:04:02 2012 +0200
+++ b/trytond/tests/test_mixins.py	Sun Sep 23 17:30:03 2012 +0200
@@ -25,27 +25,31 @@
     def testModelURL(self):
         "Test model URLs"
         with Transaction().start(DB_NAME, USER, context=CONTEXT):
-            self.assertEqual(self.urlmodel.get_url(),
+            self.assertEqual(self.urlmodel.__url__,
                 'tryton://%s/%s/model/test.urlobject' % (self.hostname,
                     urllib.quote(DB_NAME)))
 
             server_name = 'michaelscott.paper.test'
             CONFIG['hostname_jsonrpc'] = server_name
-            self.assertEqual(self.urlmodel.get_url(),
+            self.assertEqual(self.urlmodel.__url__,
                 'tryton://%s/%s/model/test.urlobject' % (server_name,
                     urllib.quote(DB_NAME)))
 
+            self.assertEqual(self.urlmodel(1).__url__,
+                'tryton://%s/%s/model/test.urlobject/1' % (server_name,
+                    urllib.quote(DB_NAME)))
+
     def testWizardURL(self):
         "Test wizard URLs"
         with Transaction().start(DB_NAME, USER, context=CONTEXT):
             CONFIG['hostname_jsonrpc'] = None
-            self.assertEqual(self.urlwizard.get_url(),
+            self.assertEqual(self.urlwizard.__url__,
                 'tryton://%s/%s/wizard/test.test_wizard' % (self.hostname,
                     urllib.quote(DB_NAME)))
 
             server_name = 'michaelscott.paper.test'
             CONFIG['hostname_jsonrpc'] = server_name
-            self.assertEqual(self.urlwizard.get_url(),
+            self.assertEqual(self.urlwizard.__url__,
                 'tryton://%s/%s/wizard/test.test_wizard' % (server_name,
                     urllib.quote(DB_NAME)))
 
diff -r f6ef988fda71 trytond/tests/test_modelsingleton.py
--- a/trytond/tests/test_modelsingleton.py	Fri Sep 21 16:04:02 2012 +0200
+++ b/trytond/tests/test_modelsingleton.py	Sun Sep 23 17:30:03 2012 +0200
@@ -24,7 +24,7 @@
         '''
         with Transaction().start(DB_NAME, USER,
                 context=CONTEXT) as transaction:
-            singleton = self.singleton.read(1, ['name'])
+            singleton, = self.singleton.read([1], ['name'])
             self.assert_(singleton['name'] == 'test')
             self.assert_(singleton['id'] == 1)
 
@@ -32,7 +32,7 @@
             self.assert_(singleton['name'] == 'test')
             self.assert_(singleton['id'] == 1)
 
-            singleton = self.singleton.read(1, [
+            singleton, = self.singleton.read([1], [
                 'create_uid',
                 'create_date',
                 'write_uid',
@@ -51,20 +51,17 @@
         '''
         with Transaction().start(DB_NAME, USER,
                 context=CONTEXT) as transaction:
-            singleton_id = self.singleton.create({'name': 'bar'})
-            self.assert_(singleton_id)
+            singleton = self.singleton.create({'name': 'bar'})
+            self.assert_(singleton)
+            self.assertEqual(singleton.name, 'bar')
 
-            singleton = self.singleton.read(singleton_id, ['name'])
-            self.assert_(singleton['name'] == 'bar')
+            singleton2 = self.singleton.create({'name': 'foo'})
+            self.assertEqual(singleton2, singleton)
 
-            singleton2_id = self.singleton.create({'name': 'foo'})
-            self.assert_(singleton2_id == singleton_id)
+            self.assertEqual(singleton.name, 'foo')
 
-            singleton = self.singleton.read(singleton_id, ['name'])
-            self.assert_(singleton['name'] == 'foo')
-
-            singleton_ids = self.singleton.search([])
-            self.assert_(len(singleton_ids) == 1)
+            singletons = self.singleton.search([])
+            self.assertEqual(singletons, [singleton])
 
             transaction.cursor.rollback()
 
@@ -74,19 +71,19 @@
         '''
         with Transaction().start(DB_NAME, USER,
                 context=CONTEXT) as transaction:
-            singleton_id = self.singleton.search([])[0]
+            singleton, = self.singleton.search([])
 
-            singleton2_id = self.singleton.copy(singleton_id)
-            self.assert_(singleton2_id == singleton_id)
+            singleton2, = self.singleton.copy([singleton])
+            self.assertEqual(singleton2, singleton)
 
-            singleton_ids = self.singleton.search([])
-            self.assert_(len(singleton_ids) == 1)
+            singletons = self.singleton.search([])
+            self.assertEqual(singletons, [singleton])
 
-            singleton3_id = self.singleton.copy(singleton_id, {'name': 'bar'})
-            self.assert_(singleton3_id == singleton_id)
+            singleton3, = self.singleton.copy([singleton], {'name': 'bar'})
+            self.assertEqual(singleton3, singleton)
 
-            singleton_ids = self.singleton.search([])
-            self.assert_(len(singleton_ids) == 1)
+            singletons = self.singleton.search([])
+            self.assertEqual(singletons, [singleton])
 
             transaction.cursor.rollback()
 
@@ -97,26 +94,26 @@
         with Transaction().start(DB_NAME, USER,
                 context=CONTEXT) as transaction:
             default = self.singleton.default_get(['name'])
-            self.assert_(default == {'name': 'test'})
+            self.assertEqual(default, {'name': 'test'})
 
             default = self.singleton.default_get(['create_uid'])
-            self.assert_(len(default) == 2)
+            self.assertEqual(len(default), 2)
 
             default = self.singleton.default_get(['create_uid'],
                     with_rec_name=False)
-            self.assert_(len(default) == 1)
+            self.assertEqual(len(default), 1)
 
             self.singleton.create({'name': 'bar'})
 
             default = self.singleton.default_get(['name'])
-            self.assert_(default == {'name': 'bar'})
+            self.assertEqual(default, {'name': 'bar'})
 
             default = self.singleton.default_get(['create_uid'])
-            self.assert_(len(default) == 2)
+            self.assertEqual(len(default), 2)
 
             default = self.singleton.default_get(['create_uid'],
                     with_rec_name=False)
-            self.assert_(len(default) == 1)
+            self.assertEqual(len(default), 1)
 
             transaction.cursor.rollback()
 
@@ -126,14 +123,14 @@
         '''
         with Transaction().start(DB_NAME, USER,
                 context=CONTEXT) as transaction:
-            singleton_ids = self.singleton.search([])
-            self.assert_(singleton_ids == [1])
+            singletons = self.singleton.search([])
+            self.assertEqual(map(int, singletons), [1])
 
-            singleton_ids = self.singleton.search([])
-            self.assert_(singleton_ids == [1])
+            singletons = self.singleton.search([])
+            self.assertEqual(map(int, singletons), [1])
 
-            singleton_ids = self.singleton.search([], count=True)
-            self.assert_(singleton_ids == 1)
+            count = self.singleton.search([], count=True)
+            self.assertEqual(count, 1)
 
             transaction.cursor.rollback()
 
